aboutsummaryrefslogtreecommitdiffstats
path: root/resources
diff options
context:
space:
mode:
authorPeter Mikus <pmikus@cisco.com>2022-07-11 08:25:02 +0000
committerPeter Mikus <peter.mikus@protonmail.ch>2022-08-08 09:46:41 +0000
commit9f7e749f98f1437b90647749501d43b02a2be5eb (patch)
tree61951d003c842203af177d43942aa952be9364c3 /resources
parent6f7bd1dcb877caa6bfd31ce014b3d5c098114759 (diff)
feat(pip): Upgrade
Due to some integration changes with upcoming Ubuntu 22.04 (and mainly python) bump, upgrading the full pip package list to latest version. Keyword 'BuiltIn.Run Keyword Unless' is deprecated - will be part of subsequent change Signed-off-by: Peter Mikus <pmikus@cisco.com> Change-Id: Ie3bdc424c7c0efb4fe4f1fa7c73137b916c17116
Diffstat (limited to 'resources')
-rw-r--r--resources/libraries/bash/function/common.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/resources/libraries/bash/function/common.sh b/resources/libraries/bash/function/common.sh
index dac4521601..b194c31259 100644
--- a/resources/libraries/bash/function/common.sh
+++ b/resources/libraries/bash/function/common.sh
@@ -118,7 +118,7 @@ function activate_virtualenv () {
env_dir="${root_path}/env"
req_path=${2-$CSIT_DIR/requirements.txt}
rm -rf "${env_dir}" || die "Failed to clean previous virtualenv."
- pip3 install virtualenv==20.0.20 || {
+ pip3 install virtualenv==20.15.1 || {
die "Virtualenv package install failed."
}
virtualenv --no-download --python=$(which python3) "${env_dir}" || {
@@ -779,7 +779,6 @@ function run_pybot () {
set -exuo pipefail
all_options=("--outputdir" "${ARCHIVE_DIR}" "${PYBOT_ARGS[@]}")
- all_options+=("--noncritical" "EXPECTED_FAILING")
all_options+=("${EXPANDED_TAGS[@]}")
pushd "${CSIT_DIR}" || die "Change directory operation failed."
* * http://www.apache.org/licenses/LICENSE-2.0 * * Unless required by applicable law or agreed to in writing, software * distributed under the License is distributed on an "AS IS" BASIS, * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. * See the License for the specific language governing permissions and * limitations under the License. */ /** * @file * @brief BFD UDP transport layer declarations */ #ifndef __included_bfd_udp_h__ #define __included_bfd_udp_h__ #include <vppinfra/clib.h> #include <vnet/adj/adj_types.h> #include <vnet/ip/ip6_packet.h> #include <vnet/bfd/bfd_api.h> /* *INDENT-OFF* */ /** identifier of BFD session based on UDP transport only */ typedef CLIB_PACKED (struct { union { /** interface to which the session is tied - single-hop */ u32 sw_if_index; /** the FIB index the peer is in - multi-hop*/ u32 fib_index; }; /** local address */ ip46_address_t local_addr; /** peer address */ ip46_address_t peer_addr; }) bfd_udp_key_t; /* *INDENT-ON* */ /** UDP transport specific data embedded in bfd_session's union */ typedef struct { /** key identifying this session */ bfd_udp_key_t key; /** adjacency index returned from adj lock call */ adj_index_t adj_index; } bfd_udp_session_t; /** bfd udp echo packet trace capture */ typedef struct { u32 len; u8 data[400]; } bfd_udp_echo_input_trace_t; struct bfd_session_s; /** * @brief add the necessary transport layer by prepending it to existing data * * * @param is_echo 1 if this is echo packet, 0 if control frame * * @return 1 on success, 0 on failure */ int bfd_add_udp4_transport (vlib_main_t * vm, u32 bi, const struct bfd_session_s *bs, int is_echo); /** * @brief add the necessary transport layer by prepending it to existing data * * @param is_echo 1 if this is echo packet, 0 if control frame * * @return 1 on success, 0 on failure */ int bfd_add_udp6_transport (vlib_main_t * vm, u32 bi, const struct bfd_session_s *bs, int is_echo); /** * @brief transport packet over udpv4 * * @param is_echo 1 if this is echo packet, 0 if control frame * * @return 1 on success, 0 on failure */ int bfd_transport_udp4 (vlib_main_t * vm, u32 bi, const struct bfd_session_s *bs); /** * @brief transport packet over udpv6 * * @param is_echo 1 if this is echo packet, 0 if control frame * * @return 1 on success, 0 on failure */ int bfd_transport_udp6 (vlib_main_t * vm, u32 bi, const struct bfd_session_s *bs); /** * @brief check if the bfd udp layer is echo-capable at this time * * @return 1 if available, 0 otherwise */ int bfd_udp_is_echo_available (bfd_transport_e transport); /** * @brief get echo source information - used by CLI */ void bfd_udp_get_echo_source (int *is_set, u32 * sw_if_index, int *have_usable_ip4, ip4_address_t * ip4, int *have_usable_ip6, ip6_address_t * ip6); #endif /* __included_bfd_udp_h__ */ /* * fd.io coding-style-patch-verification: ON * * Local Variables: * eval: (c-set-style "gnu") * End: */